收藏
回答

新版本开发工具(v1.02.1807120),编译后样式出了问题

框架类型 问题类型 操作系统 工具版本
小程序 Bug macOS 1.02.1807120

## 问题描述


- 前面刚更新了新版本的开发者工具v1.02.1807120,一样的项目,代码没动,编译出来出现了以下问题:

    - 通过获取statusBarHeight来规定导航栏的高度

    - 组件的wxml如下:


    - 组件js中的data如下:


    - app.js如下:


    - 之前是正常的,但是更新了新版本的开发者工具之后,就出了问题,编译后查看的wxml如下:



我们可以看到,height的值成为了NaN,说明数据没有读取到,但是之前都是好好的

回答关注问题邀请回答
收藏

3 个回答

  • Can🌴
    Can🌴
    2018-07-13

    基础库版本选了什么

    2018-07-13
    赞同
    回复 1
    • 比想象中冷
      比想象中冷
      2018-07-13

      代码库选择了1.7.0 看到你的问题之后 我试了一下 选择了最新的代码库 这个问题就好了 十分感谢

      2018-07-13
      回复
  • 林超
    林超
    2018-07-13

    麻烦给个相关的代码片段(https://developers.weixin.qq.com/miniprogram/dev/devtools/minicode.html),我们定位下问题

    2018-07-13
    赞同
    回复 1
    • 比想象中冷
      比想象中冷
      2018-07-13

      是代码库选低了 已经解决了 感谢

      2018-07-13
      回复
  • 比想象中冷
    比想象中冷
    2018-07-13

    用真机测试却发现没问题

    2018-07-13
    赞同
    回复
登录 后发表内容